Bug 971906 - New Compute resource: when accidentally entering URL with preceeding space, error message does not make this clear.
Summary: New Compute resource: when accidentally entering URL with preceeding space, e...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning   
(Show other bugs)
Version: Nightly
Hardware: Unspecified Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: Katello QA List
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-07 14:28 UTC by Corey Welton
Modified: 2014-04-24 17:07 UTC (History)
4 users (show)

Fixed In Version: foreman-1.3.0-6.el6sat
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 17:07:17 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Welton 2013-06-07 14:28:43 UTC
Description of problem:

When user enters a URL for New Compute resource but accidentally has whitespace before it (perhaps from copy/paste), user is told it is not parsed, and/but this isn't clear in the error message.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Attempt to create a new Compute resource; enter a URL that has a preceding space, i.e., " qemu+tcp://localhost:16509/system"
2. Submit; view error message.

Actual results:
User gets message like:

Unable to save
Error making a connection to libvirt URI qemu+tcp://localhost:16509/system: Call to virConnectOpen failed: internal error Unable to parse URI qemu+tcp://localhost:16509/system


As such, user cannot see that there is actually extra whitespace there.

Expected results:

Honestly, I'd like to see any excess whitespace getting removed and the input validated.  However, failing that, maybe we should put quotes or something around the invalid data so user might see it:
Unable to save
Error making a connection to libvirt URI qemu+tcp://localhost:16509/system: Call to virConnectOpen failed: internal error Unable to parse URI 
" qemu+tcp://localhost:16509/system"

OR

Just note that values cannot have preceeding (or tailing) whitespaces.

Additional info:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.9-1.el6_4.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.9-1.el6_4.noarch
* candlepin-tomcat6-0.8.9-1.el6_4.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.1.10004-1.noarch
* foreman-compute-1.1.10004-1.noarch
* foreman-installer-puppet-concat-0-2.d776701.git.0.21ef926.el6sat.noarch
* foreman-installer-puppet-dhcp-0-5.3a4a13c.el6sat.noarch
* foreman-installer-puppet-dns-0-7.fcae203.el6sat.noarch
* foreman-installer-puppet-foreman-0-6.568c5c4.el6sat.noarch
* foreman-installer-puppet-foreman_proxy-0-8.bd1e35d.el6sat.noarch
* foreman-installer-puppet-puppet-0-3.ab46748.el6sat.noarch
* foreman-installer-puppet-tftp-0-5.ea6c5e5.el6sat.noarch
* foreman-installer-puppet-xinetd-0-50a267b8.git.0.44aca6a.el6sat.noarch
* foreman-libvirt-1.1.10004-1.noarch
* foreman-postgresql-1.1.10004-1.noarch
* foreman-proxy-1.1.10003-1.el6sat.noarch
* foreman-proxy-installer-1.0.1-8.f5ae2cd.el6sat.noarch
* katello-1.4.2-10.el6sat.noarch
* katello-all-1.4.2-10.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.2-7.el6sat.noarch
* katello-cli-common-1.4.2-7.el6sat.noarch
* katello-common-1.4.2-10.el6sat.noarch
* katello-configure-1.4.3-14.el6sat.noarch
* katello-configure-foreman-1.4.3-14.el6sat.noarch
* katello-foreman-all-1.4.2-10.el6sat.noarch
* katello-glue-candlepin-1.4.2-10.el6sat.noarch
* katello-glue-elasticsearch-1.4.2-10.el6sat.noarch
* katello-glue-pulp-1.4.2-10.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.3-3.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* openldap-devel-2.4.23-31.el6.x86_64
* pulp-rpm-plugins-2.1.1-1.el6sat.noarch
* pulp-selinux-2.1.1-1.el6sat.noarch
* pulp-server-2.1.1-1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-1.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-2.el6sat.noarch
* signo-0.0.16-1.el6sat.noarch
* signo-katello-0.0.16-1.el6sat.noarch

Comment 2 jmagen@redhat.com 2013-09-16 07:33:56 UTC
I could not re-produce this on Chrome or Firefox, when I pasted in.

"  https://foreman.sat.lab.tlv.redhat.com/compute_resources/new"

The browser handles it find and strips the whitespace

Comment 3 Tomas Strachota 2013-09-25 07:24:34 UTC
Reproduced, taking.

Comment 7 Corey Welton 2013-10-24 14:06:18 UTC
QA Verified  in Satellite-6.0.2-RHEL-6-20131023.1

Comment 10 Bryan Kearney 2014-04-24 17:07:17 UTC
This was verified and delivered with MDP2. Closing it out.


Note You need to log in before you can comment on or make changes to this bug.